function [obr_upraveny] = iluminace(obr)

obr=double(obr);

velikost=51;
H=ones(velikost,velikost)/velikost^2;
obr_rozmaz=conv2(obr,H,'same');
obr_rozmaz=obr_rozmaz/max(max(obr_rozmaz));

maska = zeros(size(obr));
maska(obr>5) = 1;
maska=bwmorph(maska,'dilate',15);
maska=bwmorph(maska,'erode',30);

obr_upraveny=obr./obr_rozmaz;
obr_upraveny=obr_upraveny.*maska;
obr_upraveny=255*obr_upraveny/max(max(obr_upraveny));
obr_upraveny=uint8(obr_upraveny);

end
